<?php
/*
'**************************************************************************************************
' 软件名称: 搜一次 Content Management System
' 版本编号: Version 1.X
' 官方网站: http://www.syccms.com
' 官方论坛：http://bbs.syccms.com
' 版权所有: 搜一次运营团队
' 法律顾问: 杭州市元茂律师事务所 严飞律师
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、搜一次网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include_once("../include/label.php");
$Param=$_SERVER['QUERY_STRING'];
if($Param=="") {
	if(S_Webmode==1 && file_exists(_SYC_ROOT_.S_Templateurl."artindex.html")){
		$cache_id ="artindex";
		if(!($cache_opt->start($cache_id))){
			 echo GetTemp("artindex.html",0);
			$cache_opt->end();
		}
	}else{
		header("Location:index.html");	
		}
	die();	
	}
	
if(S_Webmode==1  or S_Slists=='1'){
	$ID=SafeRequest("ID","get");
	if($ID==""){
		if(stristr($Param,S_UrlList)){
			$ID=ReplaceStr($Param,S_UrlList,"");
			$ID=preg_replace("/.".S_Dnsuffix."(.*?)$/",'',$ID);
			$pages=SafeRequest("pages","get");
			if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='al_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleList($ID);	
				$cache_opt->end();
			}			
		}
		elseif(stristr($Param,S_UrlContent)){
			$ID=ReplaceStr($Param,S_UrlContent,"");
			$ID=preg_replace("/.".S_Dnsuffix."(.*?)$/",'',$ID);
			$pages=SafeRequest("pages","get");
			if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='ac_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleShow($ID);
				 echo("<script type='text/javascript' language='javascript' src='".S_SitePath."users/userded.php?id=".$ID."&art=1'></script>");
				$cache_opt->end();
			}		
		}else{
			die("参数传输错误");
			}
	}
else{		
	if(stristr($ID,S_UrlList)){
		$ID=ReplaceStr($ID,S_UrlList,"");
		$pages=SafeRequest("pages","get");
		if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='al_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleList($ID);	
				$cache_opt->end();
			}		
		}
	elseif(stristr($ID,S_UrlContent)){
		$ID=ReplaceStr($ID,S_UrlContent,"");
		$pages=SafeRequest("pages","get");
		if(!IsNum($ID)) die("参数传输错误");
			$cache_id ='ac_'.$ID."_".$pages;
			if(!($cache_opt->start($cache_id))){
				 echo SpanArticleShow($ID);
				 echo("<script type='text/javascript' language='javascript' src='".S_SitePath."users/userded.php?id=".$ID."&art=1'></script>");
				$cache_opt->end();
			}		
	}else{
		die("参数传输错误");
		}
}
	
	}
?>